package com.sundata.internalevaluation.calc.util;

import com.sundata.internalevaluation.calc.model.CalcUnit;
import com.sundata.internalevaluation.calc.running.CalcRunning;
import com.sundata.internalevaluation.calc.running.threads.CalcTaskResult;

import java.util.Map;

/**
 * 计算工具类
 */
public class CalcUtil {
    /**
     * 调用计算的过程
     * @param calculateInstanceNumber 计算流水号
     * @param calcUnit 计算节点
     * @param context 计算参数
     * @return 计算结果
     */
    public static CalcTaskResult calc(String calculateInstanceNumber, CalcUnit calcUnit, Map<String, Object> context) {
        return new CalcRunning().startCalc(calculateInstanceNumber, calcUnit, context);
    }
}
