package com.sundata.internalevaluation.configuration.model;


/**
 * 规则信息表
 */
public class SysReqRule {
    /**
     * 规则编号
     */
    private String ruleNo;
    /**
     * 规则名称
     */
    private String ruleName;
    /**
     * 规则模板
     */
    private String ruleTemplate;
    /**
     * 模板说明
     */
    private String templateDesc;
    /**
     * 规则结果
     */
    private String ruleResult;
    /**
     * 规则指标
     */
    private String ruleIndex;
    /**
     * 规则阈值
     */
    private String ruleThreshold;

    public void setRuleNo(String ruleNo) {
        this.ruleNo = ruleNo;
    }

    public String getRuleNo() {
        return this.ruleNo;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public String getRuleName() {
        return this.ruleName;
    }

    public void setRuleTemplate(String ruleTemplate) {
        this.ruleTemplate = ruleTemplate;
    }

    public String getRuleTemplate() {
        return this.ruleTemplate;
    }

    public void setTemplateDesc(String templateDesc) {
        this.templateDesc = templateDesc;
    }

    public String getTemplateDesc() {
        return this.templateDesc;
    }

    public void setRuleResult(String ruleResult) {
        this.ruleResult = ruleResult;
    }

    public String getRuleResult() {
        return this.ruleResult;
    }

    public void setRuleIndex(String ruleIndex) {
        this.ruleIndex = ruleIndex;
    }

    public String getRuleIndex() {
        return this.ruleIndex;
    }

    public void setRuleThreshold(String ruleThreshold) {
        this.ruleThreshold = ruleThreshold;
    }

    public String getRuleThreshold() {
        return this.ruleThreshold;
    }


    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        SysReqRule that = (SysReqRule) o;
        return ruleNo.equals(that.ruleNo);
    }

    @Override
    public int hashCode() {
        return java.util.Objects.hash(ruleNo);
    }

    @Override
    public String toString() {
        return "SysReqRule{" +
                "ruleNo=" + ruleNo +
                ",ruleName='" + ruleName + "'" +
                ",ruleTemplate='" + ruleTemplate + "'" +
                ",templateDesc='" + templateDesc + "'" +
                ",ruleResult='" + ruleResult + "'" +
                ",ruleIndex='" + ruleIndex + "'" +
                ",ruleThreshold='" + ruleThreshold + "'" +
                '}';
    }

}