package com.sundata.internalevaluation.configuration.model;


import com.fasterxml.jackson.core.JsonParser;

import java.util.ArrayList;
import java.util.List;

/**
 * 规则集信息表
 */
public class SysReqRules {
    /**
     * 所属产品
     */
    private String belongProduct;
    /**
     * 规则集名称
     */
    private String rulesNo;
    /**
     * 规则集编号
     */
    private String rulesName;
    /**
     * 相关规则清单
     */
    private List<String> ruleIds = new ArrayList<>();

    public void setBelongProduct(String belongProduct) {
        this.belongProduct = belongProduct;
    }

    public String getBelongProduct() {
        return this.belongProduct;
    }

    public void setRulesNo(String rulesNo) {
        this.rulesNo = rulesNo;
    }

    public String getRulesNo() {
        return this.rulesNo;
    }

    public void setRulesName(String rulesName) {
        this.rulesName = rulesName;
    }

    public String getRulesName() {
        return this.rulesName;
    }

    public void setRuleIds(List<String> ruleIds) {
        this.ruleIds = ruleIds;
    }

    public List<String> getRuleIds() {
        return this.ruleIds;
    }


    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        SysReqRules that = (SysReqRules) o;
        return rulesNo.equals(that.rulesNo);
    }

    @Override
    public int hashCode() {
        return java.util.Objects.hash(rulesNo);
    }

    @Override
    public String toString() {
        return "SysReqRules{" +
                "belongProduct=" + belongProduct +
                ",rulesNo='" + rulesNo + "'" +
                ",rulesName='" + rulesName + "'" +
                ",ruleIds='" + ruleIds + "'" +
                '}';
    }

}